# Rewards

### Supported Environments

Luganodes supports the following environments on Polygon, as defined below

<table data-header-hidden><thead><tr><th width="356">Base URL</th><th>ETH Network</th></tr></thead><tbody><tr><td><a href="https://staking.luganodes.com/solana">https://staking.luganodes.com/polygon</a></td><td>Polygon Mainnet </td></tr></tbody></table>

## Pending Rewards &#x20;

<mark style="color:green;">`POST`</mark> `/api/pending-rewards`

Track pending rewards of an account staked with Luganodes.

#### Request Header

| Name                                        | Type   | Description          |
| ------------------------------------------- | ------ | -------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Organization API key |

#### Request Body

| Name                                                      | Type   | Description              |
| --------------------------------------------------------- | ------ | ------------------------ |
| stake\_account\_address<mark style="color:red;">\*</mark> | String | Address of stake account |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "code": 200,
    "data": {
        "pending_rewards": 54502823.65455097
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

```bash
curl --location '{{url}}/polygon/api/pending-rewards' \
--header 'Content-Type: application/json' \
--header 'x-api-key: Organization API key' \
--data '{
    "stake_account_address": "0xcf6Ace29C8Ed34d8233eA9B6B8ae059D2Eaa445"
}'
```

#### Response Object

<table><thead><tr><th width="166.33333333333331">Property</th><th width="480">Description</th><th>Type</th></tr></thead><tbody><tr><td>pending_rewards</td><td>Rewards which are yet to be claimed by stake account</td><td>Number</td></tr></tbody></table>

## APR  &#x20;

<mark style="color:blue;">`GET`</mark> `/api/apr`

Track Annual Percentage Return ( APR ) of Luganodes.

#### Request Header

| Name                                        | Type   | Description          |
| ------------------------------------------- | ------ | -------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Organization API key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "code": 200,
    "data": {
        "apr_1d": "3.416564",
        "apr_30d": "3.525256",
        "apr_7d": "3.373653"
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

```bash
curl --location '{{url}}/api/apr' \
--header 'x-api-key: Organization API key' 
```

#### Response Object

<table><thead><tr><th width="166.33333333333331">Property</th><th width="480">Description</th><th>Type</th></tr></thead><tbody><tr><td>apr_1d</td><td>Annual percentage return for the past 1 day</td><td>Number</td></tr><tr><td>apr_7d</td><td>Annual percentage return for the past 7 days</td><td>Number</td></tr><tr><td>apr_30d</td><td>Annual percentage return for the past 30 days</td><td>Number</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luganodes.com/apis/staking-apis-v1/polygon/rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
